UVF for sylpheed-claws-gtk2 (Was: sylpheed-claws in xubuntu-desktop)

Reinhard Tartler siretart at tauware.de
Tue Feb 21 16:00:27 GMT 2006


On Tue, Feb 21, 2006 at 02:51:08PM +0100, Colin Leroy wrote:
> > find attached debdiff and changelog taken from the debian package.
> > The changes seem rather high to me. Perhaps Colin can comment on the
> > changes? How much risk of breaking does this update take?
> 
> Now, the vast majority of the changes between 1.9.100 and 2.0.0 are 
> a) usability fixes
> b) actual bug fixes
> c) the documentation rewrite.
> 
> More importantly, we discovered an important issue with our interaction
> with libetpan. We use libetpan as our IMAP library. Sylpheed-Claws is
> linked against OpenSSL to be able to access POP3, SMTP or news servers
> over SSL. Libetpan is more versatile and can be linked against either
> OpenSSL or GnuTLS. 
> 
> The problem is that libetpan's gnutls support was provided via gnutls'
> compatibility glue... Now, we have a libetpan.so linked against
> gnutls-openssl.so, and we link it with sylpheed-claws which itself is
> linked to libssl. Weird crashes ensue. It's been fixed on libetpan's
> side by rewriting gnutls' support to use the real gnutls API and not
> linking to gnutls-openssl, and on Sylpheed-Claws side by updating a few
> calls.
> 
> So, all in all and from a developer point of view (which may also be
> biased, I agree ;-), I'd say that updating to sylpheed-claws-gtk2-2.0.0
> (and libetpan-0.41), before releasing Dapper, could only be beneficial.

Thank you very much for your explanation, I find it very useful. Given
this rationale, I support the update for dapper!

Gruesse,
	Reinhard




More information about the Ubuntu-motu mailing list